Topic
2 replies Latest Post - ‏2009-11-15T08:48:51Z by MG_Daven
MG_Daven
MG_Daven
2 Posts
ACCEPTED ANSWER

Pinned topic Unable to Installing lsvpd-1.6.6-1.ppc.rpm after building sg-utils

‏2009-11-11T09:54:21Z |
Hi
Further to this thread and I have downloaded and followed the instructions for the building from source

https://www.ibm.com/developerworks/forums/thread.jspa?messageID=14253268&#14253268

When I try and install the rpm I still get :

root@machine user# rpm -Uvh lsvpd-1.6.6-1.ppc.rpm
error: Failed dependencies:
libsgutils.so.1 is needed by lsvpd-1.6.6-1.ppc

Any advice would be appreciated

partition info
Red Hat Enterprise Linux Server release 5.4 (Tikanga)
Linux Machine 2.6.18-164.2.1.el5 #1 SMP Mon Sep 21 04:43:46 EDT 2009 ppc64 ppc64 ppc64 GNU/Linux
Updated on 2009-11-15T08:48:51Z at 2009-11-15T08:48:51Z by MG_Daven
  • mmason
    mmason
    1 Post
    ACCEPTED ANSWER

    Re: Unable to Installing lsvpd-1.6.6-1.ppc.rpm after building sg-utils

    ‏2009-11-13T19:08:37Z  in response to MG_Daven
    Unfortunately, rpm doesn't know about software that isn't installed by rpm, so even though the library is there, rpm doesn't see it and assumes the dependency isn't met.

    Actually, RHEL 5.4 comes with an sg3_utils rpm. If you install that rpm, then the lsvpd rpm, the dependency should resolve fine.
  • MG_Daven
    MG_Daven
    2 Posts
    ACCEPTED ANSWER

    Re: Unable to Installing lsvpd-1.6.6-1.ppc.rpm after building sg-utils

    ‏2009-11-15T08:48:51Z  in response to MG_Daven
    worked a treat thanks